Contacts
Add Contacts to List
Add new contacts to an existing contact list
POST
/
contacts
/
{list_id}
/
add
Add contacts to list
curl --request POST \
--url https://api.kallabot.com/contacts/{list_id}/add \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contacts": [
{
"phone_number": "<string>",
"template_variables": {}
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({contacts: [{phone_number: '<string>', template_variables: {}}]})
};
fetch('https://api.kallabot.com/contacts/{list_id}/add', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kallabot.com/contacts/{list_id}/add"
payload = { "contacts": [
{
"phone_number": "<string>",
"template_variables": {}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": "<string>",
"message": "<string>",
"list_id": "<string>",
"added_contacts": [
{
"contact_id": "<string>",
"phone_number": "<string>"
}
],
"duplicate_contacts": [
"<string>"
],
"total_added": 123,
"total_duplicates": 123
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
⌘I
Add contacts to list
curl --request POST \
--url https://api.kallabot.com/contacts/{list_id}/add \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contacts": [
{
"phone_number": "<string>",
"template_variables": {}
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({contacts: [{phone_number: '<string>', template_variables: {}}]})
};
fetch('https://api.kallabot.com/contacts/{list_id}/add', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kallabot.com/contacts/{list_id}/add"
payload = { "contacts": [
{
"phone_number": "<string>",
"template_variables": {}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": "<string>",
"message": "<string>",
"list_id": "<string>",
"added_contacts": [
{
"contact_id": "<string>",
"phone_number": "<string>"
}
],
"duplicate_contacts": [
"<string>"
],
"total_added": 123,
"total_duplicates": 123
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}
